#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../nmail/include/global.php');
require_once('include/admin_lib.php');
require_once("include/file.php");


// 웹상에서의 실행방지.
if ($_SERVER['DOCUMENT_ROOT'] || $_SERVER['SERVER_SOFTWARE'])
{
	die("Access Denied");
}	// if()


echo "[Nmail] 누락된 지난 날짜의 메일 로그 분석후 메일계정의 SMTP 인증, POP3 인증, 메일 수신일자 갱신합니다.\n  업그레이드나 기타 문제로 지난 날짜의 로그파일이 서버상에 있지만\n  [메일서버관리 >> 계정 보안 관리]에서 SMTP 인증, POP3 인증, 메일 수신일이 제대로 보이지 않을 때 실행하시면 됩니다.\n\n  로그파일경로) ".dirname($G_SYS[MAIL_ROOT])."/logs/\n\n";

// set
set_time_limit(0);
ini_set('memory_limit', '2047M');


$_start = getmicrotime();

// 입력값 확인.
$prev_day = $_SERVER['argv'][1];
if (!$prev_day || !is_numeric($prev_day))
{
	die("  사용방법) ".$_SERVER['PHP_SELF']." 일수\n\n  지난 30일간 로그 분석) ".$_SERVER['PHP_SELF']." 30\n");
}	// if()

mail_log_mbr_date_analyze(date('Ymd'), true, $prev_day, true);

echo "지난 [".$prev_day."]일간 로그분석이 완료되었습니다.\n";


#require_once('include/global_end.php');
?>